<script setup lang="ts">
import { useMemberStore } from '@/stores/MemberStore'
import { useReceipStore } from '@/stores/receipt'

const memberStore = useMemberStore()
const receipStore = useReceipStore()
function onClick() {
  memberStore.searchMember(memberStore.tel)
  receipStore.calReceipt()
}
</script>
<template>
  <v-container>
    <v-row no-gutters>
      <v-col cols="6">
        <v-text-field
          v-model="memberStore.tel"
          density="compact"
          variant="solo"
          label="Search Member"
          append-inner-icon="mdi-magnify"
          single-line
          hide-details
          @click:append-inner="onClick"
          @keyup.enter="onClick"
        >
        </v-text-field>
      </v-col>
      <v-col cols="6" class="pa-2 text-center" style="padding: 40px; background-color: #ffeaec">
        {{ memberStore.currentMember ? memberStore.currentMember?.name : 'Not found' }}
      </v-col>
    </v-row>
  </v-container>
</template>
